Index: units/admin/admin_events_handler.php
===================================================================
--- units/admin/admin_events_handler.php	(revision 14094)
+++ units/admin/admin_events_handler.php	(working copy)
@@ -1214,15 +1214,16 @@
 		parent::OnAfterConfigRead($event);
 
 		if (!$this->Application->ConfigValue('AdvancedUserManagement')) {
-			$section_ajustments = $this->Application->getUnitOption($event->Prefix, 'SectionAdjustments');
-			if (!$section_ajustments) {
-				$section_ajustments = Array ();
-			}
-
+			$section_ajustments = $this->Application->getUnitOption($event->Prefix, 'SectionAdjustments', Array());	
 			$section_ajustments['in-portal:user_groups'] = 'remove';
-
 			$this->Application->setUnitOption($event->Prefix, 'SectionAdjustments', $section_ajustments);
 		}
+		
+		if ($this->Application->ConfigValue('UsePopups')) { // 1 pop-up, 2-modal
+			$section_ajustments = $this->Application->getUnitOption($event->Prefix, 'SectionAdjustments', Array());			
+			$section_ajustments['in-portal:main_import'] = Array('onclick' => 'direct_edit(\'adm\', this.href);');
+			$this->Application->setUnitOption($event->Prefix, 'SectionAdjustments', $section_ajustments);
+		}		
 	}
 
 	/**
Index: units/sections/sections_config.php
===================================================================
--- units/sections/sections_config.php	(revision 14094)
+++ units/sections/sections_config.php	(working copy)
@@ -219,8 +219,7 @@
 				'parent'		=>	'in-portal:tools',
 				'icon'			=>	'import_data',
 				'label'			=>	'la_tab_ImportData',
-				'url'			=>	Array ('t' => 'tools/import1'),
-				'onclick'		=>	'direct_edit(\'adm\', this.href);',
+				'url'			=>	Array ('t' => 'tools/import1'),				
 				'permissions'	=>	Array ('view'),
 				'priority'		=>	3,
 				'type'			=>	stTREE,
